Subject: Re: [VCARDDAV] [Editorial Errata Reported] RFC6351 (3008)

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 02 Nov 2011 15:14:16 -0700

On 10/31/11 6:16 AM, Simon Perreault wrote:
> On 10/31/2011 06:19 AM, RFC Errata System wrote:
>> Original Text
>> -------------
>> ### Section 3.3: vCard Format Specification
>> #
>> # 3.3
>> iana-token = xsd:string { pattern = "[a-zA-Z0-9-]+" }
>> x-name = xsd:string { pattern = "x-[a-zA-Z0-9-]+" }
>>
>>
>> Corrected Text
>> --------------
>> ### Section 3.3: vCard Format Specification
>> #
>> # 3.3
>> iana-token = xsd:string { pattern = "[a-zA-Z0-9\-]+" }
>> x-name = xsd:string { pattern = "x-[a-zA-Z0-9\-]+" }
>>
>>
>> Notes
>> -----
>> The minus sign has to be escaped with a backslash.
> 
> What standard applies here? Many tools (including Perl) accept unescaped
> dashes when they appear first or last within a group because in these
> cases the meaning is unambiguous.
> 
> So unless we can say e.g. that "regular expressions in Relax NG must
> obey standard XYZ which requires dashes to be escaped", I would reject
> this errata.

It appears that hyphen *might* need to be escaped:

http://books.xmlschemata.org/relaxng/relax-CHP-9-SECT-4.html#relax-CHP-9-SECT-4.1

Is further research needed to answer this question definitively?

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Simon Perreault <[email-masked]>
Date: Wed, 02 Nov 2011 18:18:15 -0400

> Is further research needed to answer this question definitively?

Since it doesn't change the protocol either way, I suggest we hold onto this
errata for document update. Future authors will figure it out.

Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: Peter Saint-Andre <[email-masked]>
Date: Wed, 02 Nov 2011 15:26:59 -0700

> errata for document update. Future authors will figure it out.

Works for me.

Peter

-- 
Peter Saint-Andre
https://stpeter.im/

---

From: Bjoern Hoehrmann <[email-masked]>
Date: Wed, 02 Nov 2011 23:29:03 +0100

>cases the meaning is unambiguous.

That includes XML Schema, "The - character is a valid character range
only at the beginning or end of a ·positive character group·." as per
http://www.w3.org/TR/2004/REC-xmlschema-2-20041028/ and RELAX NG does
not care about the contents of the strings, that's for the data type
library, i.e. XML Schema, to decide, so this is not an error.
-- 
Björn Höhrmann · mailto:[email-masked] · http://bjoern.hoehrmann.de
Am Badedeich 7 · Telefon: +49(0)160/4415681 · http://www.bjoernsworld.de
25899 Dagebüll · PGP Pub. KeyID: 0xA4357E78 · http://www.websitedev.de/

---

From: Torsten Fusswinkel <[email-masked]>
Date: Thu, 03 Nov 2011 20:52:54 +0100

> library, i.e. XML Schema, to decide, so this is not an error.

I must admit that this seems to be correct. However, to add to the 
confusion, during a particular period the following erratum exists for 
XML Schema:

	< http://www.w3.org/2001/05/xmlschema-errata.html#e2-18 >

I know /now/ that this is out-of-date and has been superseded, but some 
implementations rely on that spec (e.g. Xerces-J until v2.9.1).